package de.slpnetwork.utils;

import de.slpnetwork.SPL;
import de.slpnetwork.interfaces.ILogger;

import java.util.logging.Level;

/**
 * gives a standard logging format
 */
public class Log implements ILogger {

    @Override
    public void Info(String Message, String Prefix) {
        SPL.getPlugin().getLogger().log(Level.INFO, Prefix + ": " + Message);
    }

    @Override
    public void Debug(String Message, String Prefix) {
        SPL.getPlugin().getLogger().log(Level.INFO, Prefix + " [DEBUG] >> " + Message);
    }

    @Override
    public void Warning(String Message, String Prefix) {
        SPL.getPlugin().getLogger().log(Level.WARNING, Prefix + ": " + Message);
    }

    @Override
    public void Error(String Message, String Prefix) {
        SPL.getPlugin().getLogger().log(Level.SEVERE, Prefix + ": " + Message);
    }

    @Override
    public void Critical(String Message, String Prefix) {
        SPL.getPlugin().getLogger().log(Level.SEVERE, Prefix + " [CRITICAL] >> " + Message);
    }
}
